/*
This is your custom Style Sheet. It's the last css resource loaded so you can
easily overwrite css selectors from other style sheets.
*/

.custom-content:has(.ciesc-footer) {
    padding-bottom: 0;
}

.hero-quote[data-type="2"] .hero-form-wrapper .input-group .file span {
    font-size: 11px; }
    
.members-page.quote .panel-header.header-spaced {
    display: none; }

/*
.members-page.quote .members-panel.quote:first-child,
.members-page.quote .panel-header.header-spaced + .members-panel.quote {
    margin-top: 0; }

.members-panel.edit-panel.quote + .members-panel {
    margin-top: 16px; }
.members-page.quote .profile-user-description .message + .listing-title {
    margin-top: 16px; }
*/

@media screen and (min-width: 768px) {
    .modal-sign .modal-content .modal-body .form-actions {
        gap: 16px; }
    .modal-sign .modal-content .modal-body .form-actions .form-lost-password {
        text-align: right; }
}

.members-page .members-sidebar.profile-sidebar {
    width: 100%; }
    
.members-page.profile-page.quote .profile-sidebar .members-cards {
    margin-top: 0; }

.members-page.profile-page.quote .profile-sidebar + .profile-sidebar {
    margin-top: 16px; }
    


.cotacao-rapida-steps {}

.cotacao-rapida-steps h2 {
    margin-bottom: 24px; font-size: 28px; text-align: center; }

.cotacao-rapida-steps h4 {
   text-align: center; margin-bottom: 48px; }

.cotacao-rapida-steps li {
    margin-bottom: 15px; }


:root {
    --fsi-clr-1: hsl(209, 84%, 46%);
    --fsi-clr-2: #1A3365;
    --fsi-clr-3: #34AD6C;
    --fsi-clr-4: #F17300;
    --fsi-clr-5: #FFC48E;
    --fsi-clr-6: #292929;
    --fsi-clr-7: #585858;
    --fsi-clr-8: #F5F5F5;
    --fsi-clr-9: #FFFFFF;
    --fsi-shadow-1: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.fsi-chamada__title {
    font-size: 2.5rem;
    line-height: 1.2;
    margin: 0;
    font-weight: 600;
    color: var(--fsi-clr-9);
    text-align: left;
    margin-bottom: 1.5rem;
}

.fsi-underline {
    text-decoration: underline;
    text-underline-offset: 5px;
    text-decoration-color: var(--fsi-clr-4);
    text-decoration-thickness: 3px;
    color: var(--fsi-clr-9);
}

.ciesc-footer {
    padding: 4rem 4rem !important; /* Mantém o espaçamento interno */
    background-color: var(--fsi-clr-2);
    color: var(--fsi-clr-9);
    background-image: url('https://ciesc.com.br/sites/default/files/2024-10/ciesc-home-bg.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    min-height: 100%; /* Garante que o bloco tenha altura suficiente */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.ciesc-footer__top {
    display: grid;
    gap: 2rem;
    color: var(--fsi-clr-9);
}

@media (min-width: 1000px) {
    .ciesc-footer__top {
        grid-template-columns: 1fr 1fr;
    }
}

.ciesc-footer__form #rd-form-luh6gbbz .bricks-form__field:nth-child(3) {
    width: 100%;
}

.ciesc-footer__form #rd-form-luh6gbbz .bricks-form__static {
    font-size: 14px;
    color: var(--fsi-clr-9); /* Alteração aqui */
    margin-block: .5rem;
    line-height: 1.6;
}

.ciesc-footer__form #rd-form-luh6gbbz .bricks-form__input::placeholder {
    color: var(--fsi-clr-9);
}

.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button {
    color: var(--fsi-clr-9);
    border-radius: 30px;
    text-transform: uppercase;
    transition: all 0.4s ease;
    background: linear-gradient(270deg, transparent 20%, #ffffff5e 80%);
    border: 2px solid var(--fsi-clr-8);
    padding-top: .1rem;
    font-size: .9rem;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button:hover {
    color: var(--fsi-clr-2);
}

.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button:before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    transition: all 0.4s ease;
    z-index: -1;     
    background: var(--fsi-clr-9);
}

.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button:hover::before {left: 0;}

.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button:focus,
.ciesc-footer__form #rd-button-luh6gbc4.bricks--component-button:hover  {
    text-decoration: underline;
    text-underline-offset: .25rem;
}

.ciesc-footer__links {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 2rem;
    color: var(--fsi-clr-9);
}

@media screen and (min-width: 1240px) {
    .ciesc-footer__links>div:nth-child(1) {
        margin-left: 1.5rem;
    }
}

.ciesc-footer__list {
    list-style-type: none;
    padding: 0;
    margin-block: 0;
    color: var(--fsi-clr-9);
}

.ciesc-footer__link {
    color: var(--fsi-clr-9); /* Alteração aqui */
    display: block;
    margin-bottom: 1rem;
    font-size: .9rem;
}

.ciesc-footer__link:hover,
.ciesc-footer__contatos__item a:hover {
    color: var(--fsi-clr-9); /* Alteração aqui */
    text-decoration: underline;
    text-underline-offset: .25rem;
}

.ciesc-footer__link--title {
    text-transform: uppercase;
    color: var(--fsi-clr-9); /* Alteração necessária */
    margin-block: 1.1rem .5rem;
    font-weight: 600;
    font-size: 1rem;
}

.ciesc-title--footer {
    font-size: 1.2rem;
    line-height: 1.25;
    text-transform: uppercase;
    margin-top: 0;
    color: var(--fsi-clr-9);
}

.ciesc-footer__contatos {
    list-style-type: none;
    padding: 0;
    color: var(--fsi-clr-9);
}

.ciesc-footer__contatos__item {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-block: .8rem;
    color: var(--fsi-clr-9);
}

.ciesc-footer__contatos__item p,
.ciesc-footer__contatos__item a {
    margin-block: 0;
    display: block;
    color: var(--fsi-clr-9);
}

.ciesc-footer__icon {
    font-size: 1.1rem;
    padding-bottom: 3px;
    color: var(--fsi-clr-4)
}

.ciesc-footer__bottom {
    display: flex;
        margin-bottom: 0 !important;
    padding-bottom: 0 !important;
    align-items: center;
    gap: 2rem 3rem;
    flex-wrap: wrap;
    justify-content: center;
    color: var(--fsi-clr-9);
}

.ciesc-footer__endereco {
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
    text-align: center;
    font-size: .9rem;
    color: var(--fsi-clr-9);
}

@media screen and (min-width: 820px) {
    .ciesc-footer__bottom {
        justify-content: space-between;
    }
    .ciesc-footer__logos {
        order:1;
    }
    .ciesc-footer__endereco {
        order:2;
        text-align: right;
    }
}

.ciesc-footer__endereco p {
    margin-block: .6rem;
    color: var(--fsi-clr-9);
}

.ciesc-footer__divider {
display: none;
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
    height: 0;
    background-color: var(--fsi-clr-9);
    background-image: linear-gradient(left , var(--fsi-clr-2) 2%, #E6E6E6 50%, var(--fsi-clr-2) 98%);
}

#rd-static_text-m2nj9ft2 {
    display: none !important;
}

.footer-links a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    margin: 0 15px;
    font-size: 16px;
}

.ciesc-footer__instituicoes {
    text-align: center;
        margin-bottom: 0 !important;
    padding-bottom: 0 !important;
    padding: 30px 0;
    margin-top: -10px; /* Remove o espaço extra */
}

.ciesc-footer__instituicoes a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    margin: 0 15px;
    font-size: 16px;
        margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}

.ciesc-footer__instituicoes a:hover {
    text-decoration: underline;
        margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}


/*Estilização do João!*/
.cards-default .cards-list .card .picture img {
	border-radius: 15px;	
}

/*
.heading.h-4 {
    font-size: 40px;}*/

/*Arredondamento de cantos padrão geral*/
:root {
    --border-radius: 16px;
}

/*Underline em títulos*/
.heading.h-4 {
color: --fsi-clr-2;
text-decoration: underline;
    text-underline-offset: -2px;
    text-decoration-color: var(--fsi-clr-4);
    text-decoration-thickness: 4px;
    text-decoration-skip-ink: none;
} 
   
.categories-base .categories-header>.heading, .cards-default .cards-header>.heading {
color: #1a3365;
font-weight: 600;
}


/*Caps nos botões*/
button {
text-transform: uppercase;
font-weight: 600;
}


/*Slider principal
.flickity-viewport {
    height: 50vh !important;
}

.flickity-viewport {
    width: 95vw;
    border-radius: 30px;
    left: 50%;
    transform: translateX(-50%);

}

.hero-default[data-type="3"] {
    padding: 25px;
}

.flickity-button {
	    border-radius: 30px;
    width: 50px;
    height: 50px;
} 

/*Botões do slider principal
.hero-default[data-type="3"] .hero-slider .flickity-prev-next-button {
    border-radius: 30px;
    border-color: linear-gradient(-45deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);;
    border: white solid 1px;
    width: 50px;
    height: 50px;
    background: linear-gradient(45deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
    }
    
    .hero-default[data-type="3"] .hero-slider .flickity-prev-next-button .flickity-button-icon {
    fill: white;
}

    .hero-default[data-type="3"] .hero-slider .flickity-prev-next-button:hover .flickity-button-icon {
    fill: #f17300;
}

.hero-default[data-type="3"] .hero-slider .flickity-button:hover {
    background: white;
}

.hero-default[data-type="3"] .hero-slider .flickity-page-dots .dot.is-selected {
	background: linear-gradient(45deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
	border-width: 1px;}

	
.banner {
border-radius: 8px;
} */


.categories-base .categories-header>.heading, .cards-default .cards-header>.heading {
  color: #1a3365; font-weight: 600; font-size: 40px; }
  
.cards-default[card-type="one-horizontal-card"][card-module="blog"] 
+ .cards-default[card-type="vertical-cards"][card-module="blog"] .cards-header>.heading {
    display: none; }
    
@media (min-width: 992px) {
.cards-default[card-type="one-horizontal-card"][card-module="blog"] .card-horizontal-full .picture {
  min-width: 50%;}
}

.banner .banner-link {
  border-radius: 8px; }

textarea.input {
  padding: 16px; }

